LINUX.ORG.RU

[gentoo][emerge]проблема с зависимостями


0

0

Выполняю emerge --depclean:

Calculating dependencies... done!

>>> These are the packages that would be unmerged:

 net-print/xfprint
    selected: 4.6.1 
   protected: none 
     omitted: none 

 xfce-extra/xfce4-appfinder
    selected: 4.6.1 
   protected: none 
     omitted: none 

 sys-kernel/gentoo-sources
    selected: 2.6.30-r4 
   protected: none 
     omitted: 2.6.30-r6 

 x11-terms/terminal
    selected: 0.2.12 
   protected: none 
     omitted: none 

 app-editors/mousepad
    selected: 0.2.16 
   protected: none 
     omitted: none 

 games-misc/fortune-mod
    selected: 1.99.1-r2 
   protected: none 
     omitted: none 

 dev-python/pysqlite
    selected: 2.5.5 
   protected: none 
     omitted: none 

 net-nds/openldap
    selected: 2.3.43 
   protected: none 
     omitted: none 

 app-text/a2ps
    selected: 4.13c-r6 
   protected: none 
     omitted: none 

 dev-lang/python
    selected: 2.5.4-r3 
   protected: none 
     omitted: 2.6.2-r1 

 dev-util/xfce4-dev-tools
    selected: 4.6.0 
   protected: none 
     omitted: none 

 sys-libs/db
    selected: 4.5.20_p2-r1 
   protected: none 
     omitted: 4.6.21_p4 

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

Would you like to unmerge these packages? [Yes/No] No
Вопрос: почему он пытается удалить пакеты, которые по идее нужны и другим пакетам?

Пробую добавить в world:

$ sudo emerge --noreplace python eselect-news xfwm4-themes
Calculating dependencies... done!
>>> Recording app-admin/eselect-news in "world" favorites file...
>>> Recording dev-lang/python in "world" favorites file...
>>> Recording x11-themes/xfwm4-themes in "world" favorites file...
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.
Результат нулевой. depclean все равно пытается удалить эти пакеты.

★★★★★

Re: [gentoo][emerge]проблема с зависимостями

>>> Recording app-admin/eselect-news in "world" favorites file...

Этот уже не нужен.

>>> Recording dev-lang/python in "world" favorites file...

Остаётся 2.6, сносится 2.5. Обычное дело, если зависимости не привязаны к конкретной версии.

>>> Recording x11-themes/xfwm4-themes in "world" favorites file...

В списке сносимых не увидел.

...

Но, вообще, нужно бысть с depclean осторожнее. Я предпочитаю по нему посмотреть список «ненужных» пакетов, вручную снести те, чья ненужность видна сразу и детально разобраться потом с теми, что нужны.

KRoN73 ★★★★★ ()
Ответ на: Re: [gentoo][emerge]проблема с зависимостями от KRoN73

Re: [gentoo][emerge]проблема с зависимостями

Что-то я и правда сфейлил.

Ядро сносится старое, питон у меня новый, остальное тоже похоже не нужно. Тогда все в порядке.

Хотя каким образом получилось что terminal попал в этот список? Что я мог такого удалить..

edigaryev ★★★★★ ()
Ответ на: Re: [gentoo][emerge]проблема с зависимостями от edigaryev

Re: [gentoo][emerge]проблема с зависимостями

В xfce4 что-то недавно намудрили с зависимостями, можешь глянуть в ебилд xfdce4-meta и увидеть, что из зависимостей почти ничего не осталось.

>Хотя каким образом получилось что terminal попал в этот список? Что я мог такого удалить..


Иногда поражает неспособность человеческих существ делать элементарные выводы. В world его нету? Нету. А из зависимостей, как сказано выше, выкинули. Вот --depclean и пытается его честно вычистить.

ЗЫ: перед тем как сносить питон, помучай сначала python-updater.

root_at_localhost ★★★ ()
Ответ на: Re: [gentoo][emerge]проблема с зависимостями от root_at_localhost

Re: [gentoo][emerge]проблема с зависимостями

>Иногда поражает неспособность человеческих существ делать элементарные выводы. В world его нету? Нету. А из зависимостей, __как сказано выше__, выкинули. Вот --depclean и пытается его честно вычистить.

Вы правда думаете, что я мог прочитать ваше сообщение еще до того, как оно было оставлено здесь?

edigaryev ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.